#ifndef DIALOGOOP_H
#define DIALOGOOP_H

#include <QDialog>
#include "tableoop.h"
#include "ui_dialogoop.h"

QT_BEGIN_NAMESPACE
class QDataWidgetMapper;
class QLabel;
class QLineEdit;
class QPushButton;
class QComboBox;
class QStandardItemModel;
class QTextEdit;
class QTableWidget;
QT_END_NAMESPACE


class dialogOOP : public QDialog
{
	Q_OBJECT

public:
	dialogOOP(QWidget *parent=0);

private slots:
    void updateButtons(int row);

private:

    void setupModel();

    QLabel *numLabel;
    QLabel *modelLabel;
    QLabel *spisokLabel;
    QLabel *parametriLabel;

    QLineEdit *numEdit;
    QComboBox *modelComboBox;
	QLineEdit *spisokEdit;
    TableOOP *tableParam;

    QPushButton *nextButton;
    QPushButton *previousButton;
    QPushButton *newButton;
    QPushButton *delButton;

    QStandardItemModel *model;
    QDataWidgetMapper *mapper;

	Ui::dialogOOPClass ui;

};




#endif // DIALOGOOP_H
